Page MenuHomePhabricator

UploadWizard lacks path from it to other sister projects
Closed, DeclinedPublic

Description

The upload wizard has no path from it to other sister projects. At Wikipedia and other sister projects, instead of writing a short article with a picture, I often resort to writing a short article without a picture, for this reason. (Occasionally I still upload a picture, but only when I really need to).

Event Timeline

Gryllida created this task.Dec 15 2014, 9:26 AM
Gryllida raised the priority of this task from to Needs Triage.
Gryllida updated the task description. (Show Details)
Gryllida added a project: UploadWizard.
Gryllida changed Security from none to None.
Gryllida added subscribers: Aklapper, Gryllida.

I don't know what "path" means here and which specific situations this is supposed to cover.
Could you please provide steps to reproduce the problem, step by step so that anybody could follow them, and the expected and actual outcome? Thank you.

Nemo_bis closed this task as Invalid.Dec 15 2014, 1:35 PM
Nemo_bis claimed this task.

This is what $wgUploadNavigationUrl is for, I already set it for hundreds projects. If you want to add more, please request it.

No, Nemo, you have misunderstood.

What I mean is that upon uploading an image at Commons, the user is presented with an option to add the image to an article at a sister project. He should be presented with a quick list of sister projects (and possibly articles he created there recently).

Gryllida reopened this task as Open.Dec 15 2014, 9:47 PM

Re-opening per the comment above.

Nemo_bis closed this task as Declined.EditedDec 18 2014, 8:41 AM

That would be unacceptable clutter on Special:UploadWizard's already cluttered interface. I think you're looking for T40030 / T62398.

Gryllida reopened this task as Open.Dec 18 2014, 8:08 PM

I'm changing the status to Open. This is something I'll do once only, here, as I feel I was misunderstood: What you suggested is a path to invoke UploadWizard from a sister project. I'm looking for paths to go to a sister project from the UploadWizard at Commons.

Tgr removed Nemo_bis as the assignee of this task.Dec 18 2014, 9:54 PM
Tgr added subscribers: Nemo_bis, Tgr.

Can you explain in more detail what problem you would like to solve? I find it hard to interpret this ticket as it is.

Aklapper changed the task status from Open to Stalled.Dec 29 2014, 10:45 PM
Steinsplitter moved this task from Incoming to Uploading on the Commons board.
Jdforrester-WMF triaged this task as Low priority.Sep 4 2015, 6:56 PM
Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptSep 4 2015, 6:56 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 7:04 PM

I really don't see how this is viable.

While you could maybe, *maybe*, invoke an edit form on the user's "home" wiki with some convoluted cross-over to another extension. But that's kind of a bad solution, because if someone wanted to start an article at another wiki they'd have to go through the existing process.

That said, I also don't see why this is a serious problem. We have a path for writing an article with an image, now: Edit the article, and use the in-editor upload dialog to add an image. I think the recent uploads search is an option for people, and that's in the pipeline, but presenting the user with >800 links at the end of the UploadWizard pipeline is completely unacceptable.

Thanks for the report and the thoughts, @Gryllida, I hope this answers your questions and that we can get a better solution for recent uploads in the near future!

MarkTraceur closed this task as Declined.Aug 5 2016, 7:56 PM
Tgr added a comment.Aug 5 2016, 8:27 PM

We have a path for writing an article with an image, now: Edit the article, and use the in-editor upload dialog to add an image.

Well, except that Commons blocks uploads based on some very wide conditions (such as a PNG mimetype) and they are just about to block the in-editor upload tool completely.

(I'm not arguing the approach suggested in this task would be a good one, but it's definitely not a solved problem.)

Mark and Tgr, your comments look off topic:

I'm looking for paths to go to a sister project from the UploadWizard at Commons.

I confirm my:

That would be unacceptable clutter on Special:UploadWizard's already cluttered interface.

and I agree with the closure.